# Generated by Django 3.2.2 on 2021-07-09 12:48

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('operators', '0006_add_domain'),
        ('retentions', '0004_auto_20210708_1701'),
    ]

    operations = [
        migrations.AddField(
            model_name='historicalretentionmodel',
            name='slack_channel',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='historicalretentionmodel',
            name='slack_thread',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='retentionmodel',
            name='slack_channel',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name='retentionmodel',
            name='slack_thread',
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.CreateModel(
            name='RetentionsTablesModel',
            fields=[
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='retentions_retentionstablesmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='retentions_retentionstablesmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='HistoricalRetentionsTablesModel',
            fields=[
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('filters', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('assigned_to_me', models.BooleanField(default=False)),
                ('create_me', models.BooleanField(default=False)),
                ('last_time_type', models.PositiveIntegerField(choices=[(0, 'Minutos'), (1, 'Horas'), (2, 'Dias'), (3, 'Semanas'), (4, 'Meses'), (5, 'Trimestre'), (6, 'Año')], null=True)),
                ('last_time', models.PositiveIntegerField(null=True)),
                ('columns', django.contrib.postgres.fields.jsonb.JSONField(default=list)),
                ('name', models.CharField(max_length=100)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('operator', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical retentions tables model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
